MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003922ATutorInstallationpublic2009-08-20 04:522009-11-07 12:19
Reportercindy 
Assigned Tocindy 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.6.3 
Target VersionFixed in Version1.6.4 
Summary0003922: Error occurs at creating table 'config'
Descriptionhttp://www.atutor.ca/view/7/18376/1.html [^]

Error "BLOB/TEXT column 'value' can't have a default value" is reported at creating table 'config'. This happens when mysql sql_mode is set to "strict". The solution is to remove default '' from table creation statement. as below:

`value` TEXT NOT NULL default '',

to

`value` TEXT NOT NULL,
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships

-  Notes
(0003759)
cindy (administrator)
2009-08-20 04:55

SVN revision: 8769

Affected script: install/db/atutor_schema.sql

Solution: remove "default ''" from "creat table `config`" statement.

- Issue History
Date Modified Username Field Change
2009-08-20 04:52 cindy New Issue
2009-08-20 04:52 cindy Affects version => SVN
2009-08-20 04:55 cindy Status new => resolved
2009-08-20 04:55 cindy Fixed in Version => 1.6.3
2009-08-20 04:55 cindy Resolution open => fixed
2009-08-20 04:55 cindy Assigned To => cindy
2009-08-20 04:55 cindy Note Added: 0003759
2009-11-05 11:12 greg Status resolved => closed
2009-11-07 12:19 greg Status closed => resolved
2009-11-07 12:19 greg Fixed in Version 1.6.3 => 1.6.4
2009-11-07 12:19 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker